# Class WeakListDataListener

java.lang.Object
uk.ac.starlink.util.gui.WeakListDataListener

All Implemented Interfaces:
  `EventListener, ListDataListener`

public class WeakListDataListener extends Object implements ListDataListener
List data listener which delegates to another one as long as it is reachable, but only retains a weak reference to it. Adding a listener to an object in this way will not prevent the listener (and any of its references) from being garbage collected.

Since:
  20 Jan 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`WeakListDataListener(ListDataListener base)`
Constructs a new listener based on an existing one.

## Method Summary

Modifier and Type
Method
Description
`void`
`contentsChanged(ListDataEvent evt)`
`void`
`intervalAdded(ListDataEvent evt)`
`void`
`intervalRemoved(ListDataEvent evt)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeakListDataListener

public WeakListDataListener(ListDataListener base)
Constructs a new listener based on an existing one.

Parameters:
  `base` - listener

## Method Details

### contentsChanged

public void contentsChanged(ListDataEvent evt)

Specified by:
  `contentsChanged` in interface `ListDataListener`

### intervalAdded

public void intervalAdded(ListDataEvent evt)

Specified by:
  `intervalAdded` in interface `ListDataListener`

### intervalRemoved

public void intervalRemoved(ListDataEvent evt)

Specified by:
  `intervalRemoved` in interface `ListDataListener`